Subject: [PATCH] arm64: Align .text section to PAGE_SIZE

From: [email-masked] (Jeremy Linton)
Date: Fri, 23 Oct 2015 13:13:12 -0500

On 10/23/2015 11:49 AM, Ard Biesheuvel wrote:
> On 23 October 2015 at 18:32, Jeremy Linton <[email-masked]> wrote:
...
>>          Maybe a clearer fix is an additional ifdef in the DEBUG_ALIGN_RODATA
>> stanza which sets ALIGN_DEBUG_RO to align to pagesize if DEBUG_RODATA is
>> set, that way it only takes affect for RODATA.
>
> I think the diff does what you mean here.
...

This solves the problem I have. But, my comment about was trying to be a 
little more creative and allow it to align at less than page size if 
DEBUG_RODATA isn't set, as it does today. Sort of a packed kernel if you 
will...

But I will re-post shortly with just the ALIGN_DEBUG_RO change you suggest.

Thanks,